package com.ss.android.ugc.aweme.kids.homepage.policynotice;

import X.1hK;
import X.2Pr;
import X.3hc;
import X.7he;
import X.C0149P0o;
import X.C0150P0p;
import X.C0358P8p;
import X.Crj;
import X.Ls2;
import X.M12;
import X.P8T;
import X.Q39;
import android.app.Activity;
import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.LinearLayout;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.compliance.api.services.policynotice.IPolicyNoticeService;
import kotlin.h.b.n;

public final class KidsPolicyNoticeServiceImp implements IPolicyNoticeService {
    public final Crj policyNoticePresenter$delegate = 7he.LIZ(C0150P0p.LIZ);

    static {
        Covode.recordClassIndex(89727);
    }

    private final P8T getPolicyNoticePresenter() {
        return (P8T) this.policyNoticePresenter$delegate.getValue();
    }

    public final void checkPolicyNoticeAfterLogin(Activity activity) {
    }

    public final 3hc getPolicyNoticePopTask() {
        return null;
    }

    public final void getPolicyNotice(1hK r3) {
        if (getPolicyNoticePresenter().LJFF != 1) {
            getPolicyNoticePresenter().LIZ(0);
        }
    }

    public final View providePolicyNoticeToast(View view) {
        M12.LIZ(view);
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-1, -2);
        Context context = view.getContext();
        n.LIZIZ(context, Q39.LIZJ);
        C0358P8p p8p = new C0358P8p(context, (AttributeSet) null, 6);
        p8p.setVisibility(8);
        p8p.setLayoutParams(layoutParams);
        return p8p;
    }

    public final void approvePoliceNotice(String str, String str2, String str3, String str4, Integer num, Integer num2, Boolean bool, Ls2<2Pr> ls2) {
        Integer num3 = num;
        String str5 = str;
        String str6 = str2;
        String str7 = str3;
        String str8 = str4;
        getPolicyNoticePresenter().LIZ(str5, str6, str7, str8, num3, num2, bool, new C0149P0o(ls2));
    }
}
